Package Details: freac 1.1alpha_20171119-1

Git Clone URL: https://aur.archlinux.org/freac.git (read-only)
Package Base: freac
Description: Audio converter and CD ripper with support for various popular formats and encoders.
Upstream URL: http://www.freac.org/
Licenses: GPL2
Submitter: FSMaxB
Maintainer: FSMaxB
Last Packager: FSMaxB
Votes: 16
Popularity: 0.296067
First Submitted: 2015-11-22 01:42
Last Updated: 2017-11-21 14:25

Latest Comments

1 2 Next › Last »

yochananmarqos commented on 2019-07-15 15:22

I've created a working git version: freac-git.

FSMaxB commented on 2018-05-07 16:08

@schnedan: I know it is outdated. I haven't really figured out a good way to version the dependencies yet that avoids problems with the update. My hope was that the stable 1.1 release would come soon, so I can switch to the stable releases of freac. (the only reason this package started out with the snapshot versions is because at the beginning I used the prebuilt binaries, which are only available as snapshots. But now that this package is actually built from source, it should be possible to use the stable releases.

About cd-text: I'm not familiar enough with the internals of freac to know how this should work.

schnedan commented on 2018-05-07 08:30

Hi,

rebuild freac about 2 days ago... found 2 issues:

1st.) its outdated: yaourt -Qi freac Name : freac Version : 1.1alpha_20171119-1

but there is already a newer snapshot https://sourceforge.net/projects/bonkenc/files/snapshots/20180306/ also a newer stable is availible... is there any cause to use the alpha?

2nd.) I opened a CD which doesnt have a cddb entry (this is why i installed freac in first place, to submit it). on windows eac can read the artist and title-names. freac not. seems cd-text doesnt work, but im am not a technical expert on this topic. help is appreciated. Is there any optional dependency I missed?

just a update : downloaded the current alpha for windows, running fine, also extracting artist + titles... so basicly it should work

uwechris commented on 2018-02-12 13:38

Thanks FSMaxB: uninstall of all 3 packages helped (smooth automatically with the others)

FSMaxB commented on 2018-02-01 11:38

@uwechris: Try removing smooth (and freac and freac_cdk if installed) and rebuilding and reinstalling everything again.

uwechris commented on 2018-01-30 13:44

I cannot install aur/freac 1.1alpha_20171119-1 and aur/freac_cdk 1.1alpha_20171119-3 because I get lot's of error messages like: common/metadata/picturedata.cpp: In member function 'smooth::Int BoCA::PictureData::Size() const': common/metadata/picturedata.cpp:43:2: error: 'Lock' was not declared in this scope Lock lock(mutex); ^~~~ or common/metadata/picturedata.cpp: In member function 'smooth::Int BoCA::PictureData::Size() const': common/metadata/picturedata.cpp:43:2: error: 'Lock' was not declared in this scope Lock lock(mutex); ^~~~

FSMaxB commented on 2017-11-21 14:26

@haawda: Sorry, should be fixed now.

haawda commented on 2017-11-21 14:21

md5sum is wrong.

FSMaxB commented on 2017-06-28 16:51

@haawda Should be fixed!

haawda commented on 2017-06-28 14:06

Pressing F1 for the help, i get a message o terminal that the manual is searched in »/usr/bin/usr/share/doc/freac/manual/index_de.html«, but it should be searched in /usr/share/doc/freac/manual/index_de.html.